<ion-header>
  <ion-navbar>
    <ion-row>
      <ion-col col-9 class="header_left">
          {{header_text}}
      </ion-col>
      <ion-col col-3 class="header_right">
        <ion-icon ios="ios-close" md="md-close" (click)="cancel()"></ion-icon>
      </ion-col>
    </ion-row>
  </ion-navbar>
</ion-header>

<ion-content padding>
  <ion-row>
    <form #billFromForm="ngForm" novalidate style="width: 100%;">
      <ion-list>
        <h4 style="color: #819881;text-align: center;">{{translate.addBillFromPage[0][translate.selectedlanguage]}}</h4>
        <ion-item>
          <ion-label floating>{{translate.addBillFromPage[1][translate.selectedlanguage]}}</ion-label>
          <ion-input type="text" name="bill_from_name" [(ngModel)]="billFrom.bill_from_name" #bill_from_name="ngModel" required (input)="searchClient($event)"></ion-input>
        </ion-item>
        <ion-item *ngIf="displayClients">
          <div class="autocomplete">
            <ion-list>
              <ion-item *ngFor="let client of clientList" (click)="selectClient(client)">
                {{client.clientname}}<br>
                <small>{{client.state_name}}</small>
              </ion-item>
            </ion-list>
          </div>
        </ion-item>
        <ion-item>
          <ion-label floating>GSTIN</ion-label>
          <ion-input type="text" name="bill_from_gstin" [(ngModel)]="billFrom.bill_from_gstin" #bill_from_gstin="ngModel" required text-uppercase></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>{{translate.addBillFromPage[2][translate.selectedlanguage]}}</ion-label>
          <ion-select name="bill_from_state_code" [(ngModel)]="billFrom.bill_from_state_code" #bill_from_state_code="ngModel" cancelText="Cancel" okText="Select" required>
            <ion-option *ngFor="let state of states" value="{{state.state_code}}">{{state.state_name}}</ion-option>
          </ion-select>
        </ion-item>
        <h4 style="color: #819881;text-align: center;">{{translate.addBillFromPage[3][translate.selectedlanguage]}}</h4>
        <ion-item>
          <ion-label floating>{{translate.addBillFromPage[4][translate.selectedlanguage]}}</ion-label>
          <ion-input type="text" name="bill_from_address_one" [(ngModel)]="billFrom.bill_from_address_one" #bill_from_address_one="ngModel" required></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>{{translate.addBillFromPage[5][translate.selectedlanguage]}}</ion-label>
          <ion-input type="text" name="bill_from_address_two" [(ngModel)]="billFrom.bill_from_address_two" #bill_from_address_two="ngModel" required></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>{{translate.addBillFromPage[6][translate.selectedlanguage]}}</ion-label>
          <ion-input type="text" name="bill_from_place" [(ngModel)]="billFrom.bill_from_place" #bill_from_place="ngModel" required></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>{{translate.addBillFromPage[7][translate.selectedlanguage]}}</ion-label>
          <ion-input type="number" name="bill_from_pincode" min="6" [(ngModel)]="billFrom.bill_from_pincode" #bill_from_pincode="ngModel" required></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>{{translate.addBillFromPage[8][translate.selectedlanguage]}}</ion-label>
          <ion-select name="bill_from_state" [(ngModel)]="billFrom.bill_from_state" #bill_from_state="ngModel" cancelText="Cancel" okText="Select" required>
            <ion-option *ngFor="let state of states" value="{{state.state_code}}">{{state.state_name}}</ion-option>
          </ion-select>
        </ion-item>
        <ion-item>
          <ion-row>
            <ion-col col-3></ion-col>
            <ion-col col-4>
              <button ion-button (click)="cancel()" class="cancel_button">{{translate.addBillFromPage[9][translate.selectedlanguage]}}</button>
            </ion-col>
            <ion-col col-1></ion-col>
            <ion-col col-4>
              <button ion-button type="submit" (click)="save()" [disabled]="billFromForm.invalid" class="save_button">{{translate.addBillFromPage[10][translate.selectedlanguage]}}</button>
            </ion-col>
          </ion-row>
        </ion-item>
      </ion-list>
    </form>
  </ion-row>
</ion-content>
